package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

/**
 * 虚拟网络
 *
 * @author sxp
 * @since Jun 25, 2018
 */
public class VirtualNetwork {
    private Metadata metadata;
    private AssociatedSwitch associatedSwitch;
    private String networkName;
    private String networkVlanId;
    private String vswitchId;
    private String taggedNetwork;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public AssociatedSwitch getAssociatedSwitch() {
        return associatedSwitch;
    }

    public void setAssociatedSwitch(AssociatedSwitch associatedSwitch) {
        this.associatedSwitch = associatedSwitch;
    }

    public String getNetworkName() {
        return networkName;
    }

    public void setNetworkName(String networkName) {
        this.networkName = networkName;
    }

    public String getNetworkVlanId() {
        return networkVlanId;
    }

    public void setNetworkVlanId(String networkVlanId) {
        this.networkVlanId = networkVlanId;
    }

    public String getVswitchId() {
        return vswitchId;
    }

    public void setVswitchId(String vswitchId) {
        this.vswitchId = vswitchId;
    }

    public String getTaggedNetwork() {
        return taggedNetwork;
    }

    public void setTaggedNetwork(String taggedNetwork) {
        this.taggedNetwork = taggedNetwork;
    }
}
